Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.cms
Class AuthenticatedDataParser

    java.lang.Object
      org.bouncycastle.asn1.cms.AuthenticatedDataParser

    public class AuthenticatedDataParser

extends java.lang.Object

Produce an object suitable for an ASN1OutputStream.

     AuthenticatedData ::= SEQUENCE {
           version CMSVersion,
           originatorInfo [0] IMPLICIT OriginatorInfo OPTIONAL,
           recipientInfos RecipientInfos,
           macAlgorithm MessageAuthenticationCodeAlgorithm,
           digestAlgorithm [1] DigestAlgorithmIdentifier OPTIONAL,
           encapContentInfo EncapsulatedContentInfo,
           authAttrs [2] IMPLICIT AuthAttributes OPTIONAL,
           mac MessageAuthenticationCode,
           unauthAttrs [3] IMPLICIT UnauthAttributes OPTIONAL }

     AuthAttributes ::= SET SIZE (1..MAX) OF Attribute

     UnauthAttributes ::= SET SIZE (1..MAX) OF Attribute

     MessageAuthenticationCode ::= OCTET STRING

Constructor Summary
`AuthenticatedDataParser(ASN1SequenceParser seq)`

Method Summary
`ASN1SetParser` `getAuthAttrs()`
`ContentInfoParser` `getEnapsulatedContentInfo()`
`ASN1OctetString` `getMac()`
`AlgorithmIdentifier` `getMacAlgorithm()`
`OriginatorInfo` `getOriginatorInfo()`
`ASN1SetParser` `getRecipientInfos()`
`ASN1SetParser` `getUnauthAttrs()`
`DERInteger` `getVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthenticatedDataParser

    public AuthenticatedDataParser(ASN1SequenceParser seq)
                            throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getVersion

    public DERInteger getVersion()

### getOriginatorInfo

    public OriginatorInfo getOriginatorInfo()
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getRecipientInfos

    public ASN1SetParser getRecipientInfos()
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### getMacAlgorithm

    public AlgorithmIdentifier getMacAlgorithm()
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### getEnapsulatedContentInfo

    public ContentInfoParser getEnapsulatedContentInfo()
                                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### getAuthAttrs

    public ASN1SetParser getAuthAttrs()
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getMac

    public ASN1OctetString getMac()
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### getUnauthAttrs

    public ASN1SetParser getUnauthAttrs()
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Bouncy Castle Cryptography Library 1.45